#!/bin/bash

set -eu -o pipefail

# Fire up Jekyll with the right configuration
run_jekyll() {
  set -eu

  jekyll serve \
    --port "$JEKYLL_PORT" \
    --host "$JEKYLL_HOST" \
    --ssl-cert "$JEKYLL_SSL_CERT" \
    --ssl-key "$JEKYLL_SSL_KEY" \
    --trace
}

# Main entrypoint
main() {
  set -eu

  run_jekyll
}

main
